### Method

# Ggit Ref set_target

#### Declaration [src]

    GgitRef*
    ggit_ref_set_target (
      GgitRef* ref,
      GgitOId* oid,
      const gchar* log_message,
      GError** error
    )

#### Description [src]

Create a new reference with the same name as the given reference but a different OID target. The reference must be a direct reference, otherwise this will fail.

The new reference will be written to disk, overwriting the given reference.

#### Parameters

`oid`

  Type: `GgitOId`

  A `GgitOId`.

  The data is owned by the caller of the method.

`log_message`

  Type: `const gchar*`

  The one line long message to be appended to the reflog.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitRef`

The newly created `GgitRef` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.